Page MenuHomePhabricator

CX2: Confirm translation was published successfully
Closed, ResolvedPublic

Description

As part of the support for publishing (T188732), once a translation is published, we need to inform the user.
The following will happen after a translation is published successfully:

  • The "Publishing..." button becomes "Publish" again. It remains disabled until the user does further modifications in the document (similar to what happens when a translation is just loaded).
  • The translation is editable, and doing so will make the message to disappear.
  • A confirmation message is shown. It includes a link to the published article (that will open in a new window/tab) and an X icon to close it.
  • The document is scrolled to the top for the message to be visible (a more detailed behaviour will be supported as a follow-up in T189470).


Regarding the style, we can use the standard Mediawiki message boxes, and wait for them to be updated to align with the Style Guide (T127405)

Event Timeline

Pginer-WMF triaged this task as High priority.Mar 2 2018, 1:58 PM
Pginer-WMF lowered the priority of this task from High to Normal.
Pginer-WMF created this task.
Pginer-WMF moved this task from Backlog to Priority backlog on the Language-2018-Jan-Mar board.

Previously this information had green color. Are we gonna restyle all the messages - success, warning and error to adhere to Wikimedia Design Style Guide?

Are these messages going to be sticky? They aren't sticky in CX1 and if you publish while scrolled towards the end of page, it's easy to be clueless that publishing actually succeeded, because message is all the way up, at the top of the page. You need to scroll to see the message. Same goes for other types of messages if publishing fails.

Also, we want to prevent header with publish button from overflowing and have situations like this:

Previously this information had green color. Are we gonna restyle all the messages - success, warning and error to adhere to Wikimedia Design Style Guide?

If there is a standard message component we should use it, and have a proposal for the general message styling to be updated. So for this ticket it is ok if the message box style looks different to align with the current standard.

Are these messages going to be sticky? They aren't sticky in CX1 and if you publish while scrolled towards the end of page, it's easy to be clueless that publishing actually succeeded, because message is all the way up, at the top of the page. You need to scroll to see the message. Same goes for other types of messages if publishing fails.
Also, we want to prevent header with publish button from overflowing and have situations like this:

I was proposing to scroll to the top of the document once the user clicks on publish (see "The document is scrolled to the top for the message to be visible." note in the description).
The different approaches have their pros and cons:

  • A sticky message may get in the way too much if the message is long.
  • A temporary message may not work well when there is information you expect the user to interact with, as in this case with the link.

Scrolling to the top is a simple solution that allows the message to be displayed. The drawback is that the current context is lost, but that does not seem a big problem for a final action like publishing. We can consider more elaborate approaches like showing a temporary notification that directs the user to the static one on top if that one is not visible because of scroll. But I'd try to go with the simple approach first and identify potential issues based on what we observe from users.

Pginer-WMF added a subscriber: Volker_E.EditedMar 6 2018, 9:52 AM

@Volker_E, currently the standard MediaWiki message boxes don't align with the style guide colors and icons (T127405). Just pinging to provide another example ticket to verify once work is done in that area.

Pginer-WMF updated the task description. (Show Details)Mar 6 2018, 11:22 AM
Pginer-WMF updated the task description. (Show Details)Mar 12 2018, 1:03 PM

@Pginer-WMF Our colleague @Hanna_Petruschat_WMDE has started a proposal over at M241, she has also stated not to be available to continue working on it in near future. We should evaluate and possibly take it from there.

Change 423549 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/ContentTranslation@master] Modify publishing behavior

https://gerrit.wikimedia.org/r/423549

Change 423549 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Modify publishing behavior

https://gerrit.wikimedia.org/r/423549

Etonkovidova closed this task as Resolved.Apr 10 2018, 12:18 AM
Etonkovidova added a subscriber: Etonkovidova.

The scroll-up action is implemented according to this spec:

I was proposing to scroll to the top of the document once the user clicks on publish (see "The document is scrolled to the top for the message to be visible." note in the description).